Bug 107407 - DOCX: Shadow, emboss and engrave text effects not imported correctly
Summary: DOCX: Shadow, emboss and engrave text effects not imported correctly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX-Character
  Show dependency treegraph
 
Reported: 2017-04-25 07:00 UTC by Yousuf Philips (jay) (retired)
Modified: 2022-11-27 03:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample (14.14 KB, application/wps-office.docx)
2017-04-25 07:00 UTC, Yousuf Philips (jay) (retired)
Details
Word 2010 vs Writer 5.4 (50.71 KB, image/png)
2017-04-25 07:00 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-04-25 07:00:06 UTC
Created attachment 132813 [details]
sample

Steps:
1) Open attached document
2) Notice that 'Shadow' isnt set to shadow, and 'Emboss' and 'Engrave' are set as Outline

This effects traditional and strict OOXML variants.

Version: 5.4.0.0.alpha0+
Build ID: f0340e3dca1091accdb71e0c566b96cdf9e0f791
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-04-21_13:34:48
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Yousuf Philips (jay) (retired) 2017-04-25 07:00:30 UTC
Created attachment 132814 [details]
Word 2010 vs Writer 5.4
Comment 2 Yousuf Philips (jay) (retired) 2017-04-25 22:33:15 UTC
If you are unable to see 'Emboss' and 'Engrave' they sometimes get imported as white.
Comment 3 Yousuf Philips (jay) (retired) 2017-04-26 00:15:32 UTC
So it seems that transitional and strict dont use the standard flags for these 3 font effects and instead render and save them with their new font effects engine.

https://www.tutorialspoint.com/word/images/text_effect.jpg
Comment 4 Buovjaga 2017-04-29 16:53:59 UTC
Confirmed.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 9348b322a5c230dfcc2231661b73e480b130fcd9
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 28th 2016
Comment 5 QA Administrators 2018-04-30 02:32:30 UTC Comment hidden (obsolete)
Comment 6 Pokemon 2019-04-10 11:27:52 UTC Comment hidden (spam)
Comment 7 Buovjaga 2020-09-30 18:47:44 UTC
Still confirmed.

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: 09c24681a3414092fde50ec0f617c9f7c79e8a61
CPU threads: 8; OS: Linux 5.8; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 30 September 2020

Have to keep this in mind to avoid being confused:

(In reply to Yousuf Philips (jay) (retired) from comment #2)
> If you are unable to see 'Emboss' and 'Engrave' they sometimes get imported
> as white.
Comment 8 QA Administrators 2022-11-27 03:37:42 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug